पीडीएफ फाइल का आकार कम करना


21

मैंने कुछ तस्वीरें लीं और उनमें से एक बड़ी पीडीएफ ओम्निग्रैफेल (OSX) पर बनाई।

अब मुझे उस पीडीएफ को ईमेल करना होगा, लेकिन चूंकि हर तस्वीर 5 एमबी की है, इसलिए फाइल बहुत बड़ी है। जब मैं इसे ईमेल करता हूं, तो मुझे उच्च-रिज़ॉर्ट फ़ोटो की आवश्यकता नहीं होती है।

तो क्या प्रोग्राम मेरे पीडीएफ को लेगा, सभी छवियों को कम रिज़ॉल्यूशन में बदल देगा और इसे बचाएगा?

जवाबों:


24

पूर्वालोकन में PDF खोलें, का चयन फ़ाइल »के रूप में सहेजें ... , और चुनें क्वार्ट्ज फ़िल्टर नामित कम फ़ाइल का आकार

यहाँ छवि विवरण दर्ज करें


फ़िल्टर को ठीक करने के लिए ColorSync उपयोगिता का उपयोग करें । नकल फ़ाइल का आकार कम करें और सेटिंग बदलने का बाद में।

मेरा सुझाव है कि आप पहले संकल्प के अलावा छवि नमूनाकरण ब्लॉक से सभी मानों को साफ़ करने का प्रयास करें , जो लगभग 150-300 डीपीआई होना चाहिए, इस पर निर्भर करता है कि आप कितना बचत करना चाहते हैं।

यहाँ छवि विवरण दर्ज करें


आप ColorSync उपयोगिता कहाँ पाते हैं?
करलो

1
@ कर्लो उपयोगिताएँ फ़ोल्डर।
डैनियल बेक

11

मैक्स ग्लेनिस्टर और मिलन कुप्सेविक से प्रेरित , बर्गी के लिए धन्यवाद, उदाहरण स्क्रिप्ट की व्याख्या: यह पीडीएफ फिल्टर से बड़े पैमाने पर छोटे आकार को कम करके ईबुक फिल्टर का उपयोग करता है

brew install ghostscript # aptitude work too if you do not have brew

compresspdf() {
    echo 'Usage: compresspdf [input file] [output file] [screen|ebook|printer|prepress]'
    gs -sDEVICE=pdfwrite -dNOPAUSE -dQUIET -dBATCH -dPDFSETTINGS=/${3:-"screen"} -dCompatibilityLevel=1.4 -sOutputFile="$2" "$1"
}

compresspdf "Massive.pdf" "Small.pdf" ebook

जी एस विकल्प:

-dPDFSETTINGS=/screen   (screen-view-only quality, 72 dpi images)
-dPDFSETTINGS=/ebook    (low quality, 150 dpi images)
-dPDFSETTINGS=/printer  (high quality, 300 dpi images)
-dPDFSETTINGS=/prepress (high quality, color preserving, 300 dpi imgs)
-dPDFSETTINGS=/default  (almost identical to /screen)

क्या आप स्पष्ट कर सकते हैं कि आपकी स्क्रिप्ट वास्तव में क्या करती है?
बरगी

यह पीडीएफ फिल्टर का उपयोग करके बड़े से छोटे तक पीडीएफ आकार को कम करता है:
मिकेल

क्या आप उस जानकारी को अपने उत्तर में शामिल कर सकते हैं? कृपया देखें कि कैसे उत्तर दें और हमारा भ्रमण करें
बर्गी

मैं स्वयं व्याख्यात्मक स्क्रिप्ट पसंद करता हूं, लेकिन जब से आपको लगता है कि यह पर्याप्त नहीं है, तो आप जो मांगते हैं वह किया गया है।
मिकाल

1
यहाँ थोड़ा (और सबसे अच्छा) इसे समझाएँ ...
अब्देल करीम माटोस सांचेज़

1

मुझे ऐसे कार्यक्रम का पता नहीं है जो आप चाहते हैं, लेकिन एक ही अंतिम परिणाम का उत्पादन करने के लिए एक विकल्प पहले ग्राफिक्स प्रोग्राम के साथ छवियों को संपीड़ित करना होगा, और फिर उन्हें एक दस्तावेज़ में डालकर पीडीएफ में बदलना होगा।


0

धन्यवाद @ मिकाएल, आपके भयानक समाधान के लिए,

मैंने विभाजन पृष्ठ को नियंत्रित करने के लिए एक मामूली सुधार बनाया है -> डिफ़ॉल्ट कार्रवाई, और उपकरण के लिए कुछ उदाहरण - https://github.com/Elia-Sh/toolsAndUtils/blob/master/pdfSplit.sh

फ़ाइल सहेजें -

#!/bin/bash

# inspired by: 
#   /superuser/293856/reducing-pdf-file-size
#   https://www.ghostscript.com/doc/current/Use.htm#File_output

usage() {
    cat<<EOF
Usage:
    ${0} <input file> <output file> [screen|ebook|printer|prepress]

EOF
}
# Examples:
# Note: Ghostscript must be installed on your system
# Note that <n> represents the number of pages in the original document;

#     * Only split file to pages; no range available -
#         \$ ${0} someFile.pdf
#       will create the following single page files:
#         someFile_page_0001.pdf, someFile_page_0002.pdf someFile_page_0003.pdf, someFile_page_000<n>.pdf

#     * Split page to custom output file name -
#         \$ ${0} someFile.pdf newFileName_pageNumer_%2d.pdf
#       will create the following single page files:
#         newFileName_pageNumer_01.pdf, newFileName_pageNumer_02.pdf, newFileName_pageNumer_03.pdf, newFileName_pageNumer_0<n>.pdf

#     * Only reduce quality of pdf file !without! splitting -
#         \$ ${0} someFile.pdf newFileName.pdf ebook
#       will create the following single file: newFileName.pdf with reduced quality

#     * Reduce quality !and! split pdf to single pages -
#         \$ ${0} someFile.pdf newFileName_%2d.pdf ebook
#       will create the following single page files, with lower qualuty
#         newFileName_page_01.pdf, newFileName_page_02.pdf, newFileName_page_03.pdf, newFileName_page_0<n>.pdf

### main ###
DEFAULT_QUALITY="printer"
numberOfArguments=$#

case $numberOfArguments in
    1)
        # only split the file
        fileNameInput=$1
        fileNameOutput="${fileNameInput}_page_%04d.pdf"
        pdfSettings=$DEFAULT_QUALITY
        ;;
    2)
        # user supplied input and output files
        fileNameInput=$1
        fileNameOutput=$2
        pdfSettings=$DEFAULT_QUALITY
        ;;
    3)
        # user supplied input and output files
        fileNameInput=$1
        fileNameOutput=$2
        pdfSettings=$3
        ;;
    *)
    # incorrect syntax print usage and exit
        echo "Error: Illegal number of parameters."
        usage
        exit 1
    ;;
  esac

if [[ ! -f $fileNameInput ]]; then
    echo "Error: ${fileNameInput} not found!"
    exit 2
fi

if ! which gs > /dev/null 2>&1; then
    echo "Error: Looks like the Ghostscript package is not installed on your system."
    exit 3
fi

cmdToExecute="gs -sDEVICE=pdfwrite -dNOPAUSE -dQUIET -dBATCH \
    -dPDFSETTINGS=/$pdfSettings -dCompatibilityLevel=1.4 \
    -sOutputFile=$fileNameOutput $fileNameInput"

echo -e "Executing:\n    "$cmdToExecute

$cmdToExecute
# finish script with the return code from gs command
exit $?
हमारी साइट का प्रयोग करके, आप स्वीकार करते हैं कि आपने हमारी Cookie Policy और निजता नीति को पढ़ और समझा लिया है।
Licensed under cc by-sa 3.0 with attribution required.